# Selector de elemento de problema

## Contexto

Cuando se define un problema, se añaden 4 tipos de elementos:
 - Expertos
 - Alternativas
 - Criterios
 - Dominios
 
Los 3 primeros son los elementos del problema. Para cada combinación de Experto + Alternative + Criterio se podrá asignar un dominio, el cual define como debe puntuar el **Experto** seleccionado el **Criterio** para esa **Alternativa**.

En el panel de la izquierda se puede cambiar la visualización, para mostrar el problema desde el punto de vista de un Experto/Alternativa/Criterio concreto. 

En este panel es posible selecciona una casilla de la tabla que se este mostrando para introducir la valoración, dados los elementos de problema seleccionados.

## Exísten controles adicionales:
- Con el botón azul es posible transponer la matriz.
- Con la X es posible eliminar todas las valoraciones de la tabla actual
- Si copias desde Excel una tabla con valoraciones, es posible pegarlas. Para que esto funcione, la tabla que se pegue debe tener una cabecera para las columnas (la primera fila) y una cabecera para las filas (el primer valor de cada fila). Estas cabeceras tendrán que coincidir con los elementos de problema introducidos previamente. El programa se encargará de mapear las cabeceras con los elementos de problema.

### Dominios soportados:
- Real: El valor de la celda debe ser el valor númerico separado con un solo punto o coma (1.234 o 1 o 0.123 o 1,123).
- Entero: El valor de la celda será el valor númerico: ( 1 o 2 o -1)
- Linguistica: El valor será el indice de la etiquea empezando en 0 o el nombre de la etiqueta. 0 => Mala, 1 => Buena ( 0 o Mala, 1 o Buena ). 
- No balanceado: Similar a Linguistico.

Para pegar indices es necesario que las celdas en Excel no estén formateadas como numeros. [Más información](https://support.office.com/es-es/article/convertir-en-n%C3%BAmero-los-n%C3%BAmeros-guardados-como-texto-40105f2a-fe79-4477-a171-c5bad0f0a885).

### Ejemplo:

Queremos introducir los valores de este excel:
![faq/excel.png](faq/excel.png)

Añadimos los elementos de problema. Como solo hay un experto pulsamos el botón de añadir rápido:

![faq/elements.png](faq/elements.png)

Para añadir las alternativas, las seleccionamos en Excel y copiamos con Ctrl+C.

![fastPasteAlternatives.png](faq/fastPasteAlternatives.png)

Seleccionamos el panel de alternativas (la pestaña se activará en blanco) y pulsamos Ctrl+V. Las alternativas se añadirán.

![fastPasteAlternatives2.png](faq/fastPasteAlternatives2.png)

Hacemos lo mísmo con los criterios, en este caso serían la cabecera de la tabla:
![fastPasteCriterion.png](faq/fastPasteCriterion.png)

Creamos un dominio teniendo en cuenta los datos. En este caso será un dominio numerico real entre 0 y 100.

Realizamos la asignación del dominio.

Desde la pantalla Gathering, usamos el filtro de elementos de problema para obtener un listado de los expertos

![filter.png](faq/filter.png)

Seleccionamos el único experto que tenemos, de tal forma que nos quede una visualización igual a la del Excel.

![expert.png](faq/expert.png)

Seleccionamos los datos en Excel y pulsamos Ctrl+C:

![data.png](faq/data.png)

Pulsamos sobre el panel con la tabla y pulsamos Ctrl+V:

![result.png](faq/result.png)

El resultado aparecerá en una notificación.
